Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.metadata.remote
Class MetadataExchangeClient

    java.lang.Object
      org.apache.muse.core.AbstractResourceClient
          org.apache.muse.ws.metadata.remote.MetadataExchangeClient

All Implemented Interfaces:
  SoapMonitor

Direct Known Subclasses:
  WsrfMetadataExchangeClient

public class MetadataExchangeClient
extends AbstractResourceClient

MetadataExchangeClient is a client for invoking the web services operations in WS-MetadataExchange 09/2004. It also have a convenience method, getWSDL(), that allows users to get the WSDL document for a resource without calling getMetadata() and parsing the results.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`MetadataExchangeClient(EndpointReference destination)`
`MetadataExchangeClient(EndpointReference destination, EndpointReference source)`
`MetadataExchangeClient(EndpointReference destination, EndpointReference source, Environment environment)`
`MetadataExchangeClient(EndpointReference destination, EndpointReference source, SoapClient soapClient)`

Method Summary
`org.w3c.dom.Element[]` | `getMetadata(java.lang.String dialect)`
`org.w3c.dom.Element` | `getWSDL()` This is a convenience method that calls getMetadata(String) with the WSDL dialect.

Methods inherited from class org.apache.muse.core.AbstractResourceClient
`getDestination, getEndpointReference, getSoapClient, getSoapMonitorPort, getSource, getTraceWriter, invoke, invoke, invoke, invoke, isUsingSoapMonitor, isUsingTrace, setTrace, setTraceWriter, startSoapMonitor, stopSoapMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetadataExchangeClient

    public MetadataExchangeClient(EndpointReference destination)

### MetadataExchangeClient

    public MetadataExchangeClient(EndpointReference destination,
                                  EndpointReference source)

### MetadataExchangeClient

    public MetadataExchangeClient(EndpointReference destination,
                                  EndpointReference source,
                                  Environment environment)

### MetadataExchangeClient

    public MetadataExchangeClient(EndpointReference destination,
                                  EndpointReference source,
                                  SoapClient soapClient)

Method Detail

### getMetadata

    public org.w3c.dom.Element[] getMetadata(java.lang.String dialect)
                                      throws SoapFault

  Throws:
    `SoapFault`

### getWSDL

    public org.w3c.dom.Element getWSDL()
                                throws SoapFault

  This is a convenience method that calls getMetadata(String) with the WSDL dialect.

  Returns:
    The WSDL document for the resource, or null if the dialect is not supported.
  Throws:
    `SoapFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD